/* General styling for the website */
body {
font-family: 'Open Sans', sans-serif; /* This is a clean, modern font */
color: #333; /* General text color */
background-color: #f4f7fa; /* A light blue shade for the background */
}

/* Header section with a splash of color */
.header-section {
background-color: #f8f9fa; /* A light color for the filter section */
padding: 1rem; /* Padding around the filters */
border-radius: 0.5rem; /* Rounded corners for the filter section */
margin-bottom: 2rem; /* Add space below the filter section */
box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* A subtle shadow for depth */
}

.page-title {
color: #333;
font-size: 2.5rem; /* Larger font size for the title */
font-weight: 475; /* Make the title bold */
}

.mine-count {
color: #333; /* A standard color for secondary text */
font-size: 1.2rem; /* A slightly larger font size for subtext */
}

/* Enhance the filter and sort section with color and rounded corners */
.filter-sort-section {
background-color: #f8f9fa; /* A light color for the filter section */
padding: 1rem; /* Padding around the filters */
border-radius: 0.5rem; /* Rounded corners for the filter section */
margin-bottom: 2rem; /* Add space below the filter section */
box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* A subtle shadow for depth */
}  

.apply-button {
background-color: #aacae9; /* A coal-inspired color */
border-color: #6497be;
border-radius: 0.3rem;
box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.2);
font-size: 1rem;
font-weight: bold;
}

.apply-button:hover {
background-color: #565e64;
box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}